### Hierarchy

- RpcTransport

### Implemented by

- RpcTransportImpl

## Index

### Methods

- disconnect
- request

## Methods

### disconnect

- disconnect(): void

- - Defined in repository/source/rpc/RpcTransport.ts:5

  #### Returns void

### request

- request<T>(method: string, arg?: object | string | number): Promise<T>

- - Defined in repository/source/rpc/RpcTransport.ts:3

  #### Type parameters

  - #### T

  #### Parameters

  - ##### method: string

  - ##### Optional arg: object | string | number

  #### Returns Promise<T>

Generated using TypeDoc